{% load i18n %}
{% get_current_language as CURRENT_LANGUAGE %}
/**
 * These are global configuration variables, dynamically generated by
 * Django and made accessible to JavaScript
 */

// Need to pre-initialize some of the configs
// The JQuery UI datepicker should both be configurable per site
// AND be language sensitive. So we get the site specific from local_settings.py
// and we use the i18n functionality for weekday names and month names
var datePickerConfig = {{settings.DATE_PICKER_CONFIG|safe}};
datePickerConfig["dayNames"] = [gettext("Sunday"),gettext("Monday"),gettext("Tuesday"),gettext("Wednesday"),gettext("Thursday"),gettext("Friday"),gettext("Saturday")];
datePickerConfig["dayNamesShort"] = [gettext("Sun"),gettext("Mon"),gettext("Tue"),gettext("Wed"),gettext("Thu"),gettext("Fri"),gettext("Sat")];
datePickerConfig["dayNamesMin"] = [gettext("Su"),gettext("Mo"),gettext("Tu"),gettext("We"),gettext("Th"),gettext("Fr"),gettext("Sa")];
datePickerConfig["monthNames"] = [gettext("January"),gettext("February"),gettext("March"),gettext("April"),gettext("May"),gettext("June"),gettext("July"),gettext("August"),gettext("September"),gettext("October"),gettext("November"),gettext("December")];
datePickerConfig["monthNamesShort"] = [gettext("Jan"),gettext("Feb"),gettext("Mar"),gettext("Apr"),gettext("May"),gettext("Jun"),gettext("Jul"),gettext("Aug"),gettext("Sep"),gettext("Oct"),gettext("Nov"),gettext("Dec")];

var settings = {
		currentLanguage: "{{CURRENT_LANGUAGE}}", // Computed by Django's i18n middleware
		languageCode: "{{settings.LANGUAGE_CODE}}", // Default language of Django application
		
		vipsOrganizationId: {{settings.VIPS_ORGANIZATION_ID}},
		vipslogicServerName: "{{settings.VIPSLOGIC_SERVER_NAME}}",
		vipslogicProtocol: "{{settings.VIPSLOGIC_PROTOCOL}}",
		vipsCoremanagerServerName : "{{settings.VIPSCOREMANAGER_SERVER_NAME}}",
		
		includeOrganizationIds: {% if settings.INCLUDE_ORGANIZATION_IDS == None %}null{%else%}{{settings.INCLUDE_ORGANIZATION_IDS}}{%endif%},
		
		mapZoomlevel: {{settings.MAP_ZOOMLEVEL}},
		
		systemTimeOffsetMonths: {{settings.SYSTEM_TIME_OFFSET_MONTHS}},
		
		systemTimeExact: {% if settings.SYSTEM_TIME_EXACT == None or settings.SYSTEM_TIME_EXACT|cut:" " == "" %}null{%else%}"{{settings.SYSTEM_TIME_EXACT}}"{%endif%},
		
		frontpageMessageTagIds: {{settings.FRONTPAGE_MESSAGE_TAG_IDS}},
		
		userUuid: {% if request.session.vips_logic_user == None %}null{% else %}"{{request.session.user_uuid}}"{% endif %},
		
		cropCategories : {{crop_categories|safe}},
		
		datePickerConfig : datePickerConfig,
		
		userIsIE: {{user_is_ie|yesno:"true,false"}},
		
		highchartsGlobalOptions: {
			lang: {
				shortMonths: [gettext("Jan"),gettext("Feb"),gettext("Mar"),gettext("Apr"),gettext("May"),gettext("Jun"),gettext("Jul"),gettext("Aug"),gettext("Sep"),gettext("Oct"),gettext("Nov"),gettext("Dec")],
				months: [gettext("January"),gettext("February"),gettext("March"),gettext("April"),gettext("May"),gettext("June"),gettext("July"),gettext("August"),gettext("September"),gettext("October"),gettext("November"),gettext("December")],
				weekdays: [gettext("Sunday"),gettext("Monday"),gettext("Tuesday"),gettext("Wednesday"),gettext("Thursday"),gettext("Friday"),gettext("Saturday")],
				shortWeekdays: [gettext("Sun"),gettext("Mon"),gettext("Tue"),gettext("Wed"),gettext("Thu"),gettext("Fri"),gettext("Sat")],
				printChart: gettext("Print chart"),
				downloadPNG: gettext("Download PNG image"),
	            downloadJPEG: gettext("Download JPEG image"),
	            downloadPDF: gettext("Download PDF document"),
	            downloadSVG: gettext("Download SVG vector image"),
	            contextButtonTitle: gettext("Chart context menu")
			}
		},
		
		// The attribution shown in the corner of the map 
	    MAP_ATTRIBUTION : "&copy; <a href='http://www.openstreetmap.org'>OpenStreetMap</a> contributors",
		WMS_SERVER_URL: "{{settings.WMS_SERVER_URL}}"
};
